NAMAZU(1)

NAME
namazu - a search program of Namazu

SYNOPSIS
namazu [options] <query> [index]...

DESCRIPTION

namazu 2.0.21, a search program of Namazu.

-n, --max=NUM
    set the number of documents shown to NUM.

-w, --whence=NUM
    set the first number of documents shown to NUM.

-l, --list
    print the results by listing the format.

-s, --short
    print the results in a short format.

--result=EXT
    set NMZ.result.EXT for printing the results.

--late
    sort the documents in late order.

--early
    sort the documents in early order.

--sort=METHOD
    set a sort METHOD (score, date, field:name)

--ascending
    sort in ascending order (default: descending)

-a, --all
    print all results.

-c, --count
    print only the number of hits.

-h, --html
    print in HTML format.

-r, --no-references
    do not display the reference hit counts.

-H, --page
    print the links of further results. (This is nearly meaningless)

-F, --form
    force to print the <form> ... </form> region.

-R, --no-replace
    do not replace the URI string.

-U, --no-decode-uri
    do not decode the URI when printing in a plain format.

-o, --output=FILE
    set the output file name to FILE.

-f, --config=FILE
    set the config file name to FILE.

-C, --show-config
    print the current configuration.

-q, --quiet
    do not display extra messages except search results.

-d, --debug
    be in debug mode.

-v, --version
    show the namazu version and exit.

--help
    show this help and exit.

--norc
    do not read the personal initialization files.

--  Terminate option list.

REPORTING BUGS
Report bugs to <http://www.namazu.org/trac-namazu/trac.cgi> or <bug-namazu@namazu.org>.

COPYRIGHT
Copyright © 1997-1999 Satoru Takabayashi All rights reserved.
Copyright © 2000-2009 Namazu Project All rights reserved.
This is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.